#include <bits/stdc++.h>


using namespace std;

int main(){
















long long int x;
cin >>x;
vector <pair<long long int,long long int>> v1;
for(long long int i =0;i<x;i++){

        long long int a;
        cin >>a;
        long long int b;
        cin >>b;
    v1.push_back(make_pair(a,b));



}

for(long long int i = 0;i<x;i++){


       long long int maxi = 0;
    for(long long int j = 0;j<=i;j++){

        for(long long int k = 0;k<=i;k++){
            long long int sum = 0;
            long long int xa = v1[j].first;
            long long int ya = v1[k].second;
            for(long long int l = 0;l<=i;l++){
                sum+= abs(v1[l].first-xa)*abs(v1[l].second-ya);

            }
            if(sum > maxi){
                maxi = sum;
            }
        }

    }
    long long mod = 1000000007;
    cout<<maxi%mod<<endl;

}






























    return 0;
}